orte/mca/iof/proxy/iof_proxy.h File Reference.TH "orte/mca/iof/proxy/iof_proxy.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/iof/proxy/iof_proxy.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/iof/iof.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBorte_iof_proxy_component_t\fP \fBorte_iof_proxy_component_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_iof_proxy_publish\fP (const orte_process_name_t *name, orte_iof_base_mode_t mode, orte_iof_base_tag_t tag, int fd)"
.br
.RI "\fIPublish a local file descriptor as an endpoint that is logically associated with the specified process name (e.g. \fP"
.ti -1c
.RI "int \fBorte_iof_proxy_unpublish\fP (const orte_process_name_t *name, \fBorte_ns_cmp_bitmask_t\fP mask, orte_iof_base_tag_t tag)"
.br
.RI "\fIRemove all registrations matching the specified process name, mask and tag values. \fP"
.ti -1c
.RI "int \fBorte_iof_proxy_push\fP (const orte_process_name_t *dst_name, \fBorte_ns_cmp_bitmask_t\fP dst_mask, orte_iof_base_tag_t dst_tag, int fd)"
.br
.RI "\fIExplicitly push data from the specified file descriptor to the indicated set of peers. \fP"
.ti -1c
.RI "int \fBorte_iof_proxy_pull\fP (const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, orte_iof_base_tag_t src_tag, int fd)"
.br
.RI "\fIExplicitly pull data from the specified set of peers and dump to the indicated file descriptor. \fP"
.ti -1c
.RI "int \fBorte_iof_proxy_buffer\fP (const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, orte_iof_base_tag_t src_tag, size_t buffer_size)"
.br
.RI "\fISetup buffering for a specified set of endpoints. \fP"
.ti -1c
.RI "int \fBorte_iof_proxy_subscribe\fP (const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, orte_iof_base_tag_t src_tag, orte_iof_base_callback_fn_t cb, void *cbdata)"
.br
.ti -1c
.RI "int \fBorte_iof_proxy_unsubscribe\fP (const orte_process_name_t *src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, orte_iof_base_tag_t src_tag)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_COMP_EXPORT \fBorte_iof_proxy_component_t\fP \fBmca_iof_proxy_component\fP"
.br
.ti -1c
.RI "OMPI_COMP_EXPORT \fBorte_iof_base_module_t\fP \fBorte_iof_proxy_module\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "int orte_iof_proxy_publish (const orte_process_name_t * name, orte_iof_base_mode_t mode, orte_iof_base_tag_t tag, int fd)"
.PP
Publish a local file descriptor as an endpoint that is logically associated with the specified process name (e.g. 
.PP
master side of a pipe/pty connected to a child process)
.PP
\fBParameters:\fP
.RS 4
\fIname\fP .br
\fImode\fP .br
\fItag\fP .br
\fIfd\fP .RE
.PP

.SS "int orte_iof_proxy_pull (const orte_process_name_t * src_name, \fBorte_ns_cmp_bitmask_t\fP src_mask, orte_iof_base_tag_t src_tag, int fd)"
.PP
Explicitly pull data from the specified set of peers and dump to the indicated file descriptor. 
.PP
\fBParameters:\fP
.RS 4
\fIdst_name\fP Name used to qualify set of peers. 
.br
\fIdst_mask\fP Mask that specified how name is interpreted. 
.br
\fIdst_tag\fP Match a specific peer endpoint. 
.br
\fIfd\fP Local file descriptor. 
.RE
.PP

.SS "int orte_iof_proxy_push (const orte_process_name_t * dst_name, \fBorte_ns_cmp_bitmask_t\fP dst_mask, orte_iof_base_tag_t dst_tag, int fd)"
.PP
Explicitly push data from the specified file descriptor to the indicated set of peers. 
.PP
\fBParameters:\fP
.RS 4
\fIdst_name\fP Name used to qualify set of peers. 
.br
\fIdst_mask\fP Mask that specified how name is interpreted. 
.br
\fIdst_tag\fP Match a specific peer endpoint. 
.br
\fIfd\fP Local file descriptor. 
.RE
.PP

.SS "int orte_iof_proxy_unpublish (const orte_process_name_t * name, \fBorte_ns_cmp_bitmask_t\fP mask, orte_iof_base_tag_t tag)"
.PP
Remove all registrations matching the specified process name, mask and tag values. 
.PP
\fBParameters:\fP
.RS 4
\fIname\fP .br
\fImask\fP .br
\fItag\fP .RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
